Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network142.3.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
142.3.80.0
Broadcast address
142.3.95.255
First usable
142.3.80.1
Last usable
142.3.95.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
B (default /16)
As numbers
Hex 8E035000 · Integer 2382581760 to 2382585855
Reverse DNS zones
80.3.142.in-addr.arpa
81.3.142.in-addr.arpa
82.3.142.in-addr.arpa
83.3.142.in-addr.arpa
84.3.142.in-addr.arpa
85.3.142.in-addr.arpa
86.3.142.in-addr.arpa
87.3.142.in-addr.arpa
88.3.142.in-addr.arpa
89.3.142.in-addr.arpa
90.3.142.in-addr.arpa
91.3.142.in-addr.arpa
92.3.142.in-addr.arpa
93.3.142.in-addr.arpa
94.3.142.in-addr.arpa
95.3.142.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001110.00000011.01010000.00000000142.3.80.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network10001110.00000011.01010000.00000000142.3.80.0
Broadcast10001110.00000011.01011111.11111111142.3.95.255
Split into smaller subnets/30

142.3.80.0/20 makes 1,024 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1142.3.80.0/30142.3.80.1 to 142.3.80.2142.3.80.32
2142.3.80.4/30142.3.80.5 to 142.3.80.6142.3.80.72
3142.3.80.8/30142.3.80.9 to 142.3.80.10142.3.80.112
4142.3.80.12/30142.3.80.13 to 142.3.80.14142.3.80.152
5142.3.80.16/30142.3.80.17 to 142.3.80.18142.3.80.192
6142.3.80.20/30142.3.80.21 to 142.3.80.22142.3.80.232
7142.3.80.24/30142.3.80.25 to 142.3.80.26142.3.80.272
8142.3.80.28/30142.3.80.29 to 142.3.80.30142.3.80.312
9142.3.80.32/30142.3.80.33 to 142.3.80.34142.3.80.352
10142.3.80.36/30142.3.80.37 to 142.3.80.38142.3.80.392
11142.3.80.40/30142.3.80.41 to 142.3.80.42142.3.80.432
12142.3.80.44/30142.3.80.45 to 142.3.80.46142.3.80.472
13142.3.80.48/30142.3.80.49 to 142.3.80.50142.3.80.512
14142.3.80.52/30142.3.80.53 to 142.3.80.54142.3.80.552
15142.3.80.56/30142.3.80.57 to 142.3.80.58142.3.80.592
16142.3.80.60/30142.3.80.61 to 142.3.80.62142.3.80.632
17142.3.80.64/30142.3.80.65 to 142.3.80.66142.3.80.672
18142.3.80.68/30142.3.80.69 to 142.3.80.70142.3.80.712
19142.3.80.72/30142.3.80.73 to 142.3.80.74142.3.80.752
20142.3.80.76/30142.3.80.77 to 142.3.80.78142.3.80.792
21142.3.80.80/30142.3.80.81 to 142.3.80.82142.3.80.832
22142.3.80.84/30142.3.80.85 to 142.3.80.86142.3.80.872
23142.3.80.88/30142.3.80.89 to 142.3.80.90142.3.80.912
24142.3.80.92/30142.3.80.93 to 142.3.80.94142.3.80.952
25142.3.80.96/30142.3.80.97 to 142.3.80.98142.3.80.992
26142.3.80.100/30142.3.80.101 to 142.3.80.102142.3.80.1032
27142.3.80.104/30142.3.80.105 to 142.3.80.106142.3.80.1072
28142.3.80.108/30142.3.80.109 to 142.3.80.110142.3.80.1112
29142.3.80.112/30142.3.80.113 to 142.3.80.114142.3.80.1152
30142.3.80.116/30142.3.80.117 to 142.3.80.118142.3.80.1192
31142.3.80.120/30142.3.80.121 to 142.3.80.122142.3.80.1232
32142.3.80.124/30142.3.80.125 to 142.3.80.126142.3.80.1272
33142.3.80.128/30142.3.80.129 to 142.3.80.130142.3.80.1312
34142.3.80.132/30142.3.80.133 to 142.3.80.134142.3.80.1352
35142.3.80.136/30142.3.80.137 to 142.3.80.138142.3.80.1392
36142.3.80.140/30142.3.80.141 to 142.3.80.142142.3.80.1432
37142.3.80.144/30142.3.80.145 to 142.3.80.146142.3.80.1472
38142.3.80.148/30142.3.80.149 to 142.3.80.150142.3.80.1512
39142.3.80.152/30142.3.80.153 to 142.3.80.154142.3.80.1552
40142.3.80.156/30142.3.80.157 to 142.3.80.158142.3.80.1592
41142.3.80.160/30142.3.80.161 to 142.3.80.162142.3.80.1632
42142.3.80.164/30142.3.80.165 to 142.3.80.166142.3.80.1672
43142.3.80.168/30142.3.80.169 to 142.3.80.170142.3.80.1712
44142.3.80.172/30142.3.80.173 to 142.3.80.174142.3.80.1752
45142.3.80.176/30142.3.80.177 to 142.3.80.178142.3.80.1792
46142.3.80.180/30142.3.80.181 to 142.3.80.182142.3.80.1832
47142.3.80.184/30142.3.80.185 to 142.3.80.186142.3.80.1872
48142.3.80.188/30142.3.80.189 to 142.3.80.190142.3.80.1912
49142.3.80.192/30142.3.80.193 to 142.3.80.194142.3.80.1952
50142.3.80.196/30142.3.80.197 to 142.3.80.198142.3.80.1992
51142.3.80.200/30142.3.80.201 to 142.3.80.202142.3.80.2032
52142.3.80.204/30142.3.80.205 to 142.3.80.206142.3.80.2072
53142.3.80.208/30142.3.80.209 to 142.3.80.210142.3.80.2112
54142.3.80.212/30142.3.80.213 to 142.3.80.214142.3.80.2152
55142.3.80.216/30142.3.80.217 to 142.3.80.218142.3.80.2192
56142.3.80.220/30142.3.80.221 to 142.3.80.222142.3.80.2232
57142.3.80.224/30142.3.80.225 to 142.3.80.226142.3.80.2272
58142.3.80.228/30142.3.80.229 to 142.3.80.230142.3.80.2312
59142.3.80.232/30142.3.80.233 to 142.3.80.234142.3.80.2352
60142.3.80.236/30142.3.80.237 to 142.3.80.238142.3.80.2392
61142.3.80.240/30142.3.80.241 to 142.3.80.242142.3.80.2432
62142.3.80.244/30142.3.80.245 to 142.3.80.246142.3.80.2472
63142.3.80.248/30142.3.80.249 to 142.3.80.250142.3.80.2512
64142.3.80.252/30142.3.80.253 to 142.3.80.254142.3.80.2552
65142.3.81.0/30142.3.81.1 to 142.3.81.2142.3.81.32
66142.3.81.4/30142.3.81.5 to 142.3.81.6142.3.81.72
67142.3.81.8/30142.3.81.9 to 142.3.81.10142.3.81.112
68142.3.81.12/30142.3.81.13 to 142.3.81.14142.3.81.152
69142.3.81.16/30142.3.81.17 to 142.3.81.18142.3.81.192
70142.3.81.20/30142.3.81.21 to 142.3.81.22142.3.81.232
71142.3.81.24/30142.3.81.25 to 142.3.81.26142.3.81.272
72142.3.81.28/30142.3.81.29 to 142.3.81.30142.3.81.312
73142.3.81.32/30142.3.81.33 to 142.3.81.34142.3.81.352
74142.3.81.36/30142.3.81.37 to 142.3.81.38142.3.81.392
75142.3.81.40/30142.3.81.41 to 142.3.81.42142.3.81.432
76142.3.81.44/30142.3.81.45 to 142.3.81.46142.3.81.472
77142.3.81.48/30142.3.81.49 to 142.3.81.50142.3.81.512
78142.3.81.52/30142.3.81.53 to 142.3.81.54142.3.81.552
79142.3.81.56/30142.3.81.57 to 142.3.81.58142.3.81.592
80142.3.81.60/30142.3.81.61 to 142.3.81.62142.3.81.632
81142.3.81.64/30142.3.81.65 to 142.3.81.66142.3.81.672
82142.3.81.68/30142.3.81.69 to 142.3.81.70142.3.81.712
83142.3.81.72/30142.3.81.73 to 142.3.81.74142.3.81.752
84142.3.81.76/30142.3.81.77 to 142.3.81.78142.3.81.792
85142.3.81.80/30142.3.81.81 to 142.3.81.82142.3.81.832
86142.3.81.84/30142.3.81.85 to 142.3.81.86142.3.81.872
87142.3.81.88/30142.3.81.89 to 142.3.81.90142.3.81.912
88142.3.81.92/30142.3.81.93 to 142.3.81.94142.3.81.952
89142.3.81.96/30142.3.81.97 to 142.3.81.98142.3.81.992
90142.3.81.100/30142.3.81.101 to 142.3.81.102142.3.81.1032
91142.3.81.104/30142.3.81.105 to 142.3.81.106142.3.81.1072
92142.3.81.108/30142.3.81.109 to 142.3.81.110142.3.81.1112
93142.3.81.112/30142.3.81.113 to 142.3.81.114142.3.81.1152
94142.3.81.116/30142.3.81.117 to 142.3.81.118142.3.81.1192
95142.3.81.120/30142.3.81.121 to 142.3.81.122142.3.81.1232
96142.3.81.124/30142.3.81.125 to 142.3.81.126142.3.81.1272
97142.3.81.128/30142.3.81.129 to 142.3.81.130142.3.81.1312
98142.3.81.132/30142.3.81.133 to 142.3.81.134142.3.81.1352
99142.3.81.136/30142.3.81.137 to 142.3.81.138142.3.81.1392
100142.3.81.140/30142.3.81.141 to 142.3.81.142142.3.81.1432
101142.3.81.144/30142.3.81.145 to 142.3.81.146142.3.81.1472
102142.3.81.148/30142.3.81.149 to 142.3.81.150142.3.81.1512
103142.3.81.152/30142.3.81.153 to 142.3.81.154142.3.81.1552
104142.3.81.156/30142.3.81.157 to 142.3.81.158142.3.81.1592
105142.3.81.160/30142.3.81.161 to 142.3.81.162142.3.81.1632
106142.3.81.164/30142.3.81.165 to 142.3.81.166142.3.81.1672
107142.3.81.168/30142.3.81.169 to 142.3.81.170142.3.81.1712
108142.3.81.172/30142.3.81.173 to 142.3.81.174142.3.81.1752
109142.3.81.176/30142.3.81.177 to 142.3.81.178142.3.81.1792
110142.3.81.180/30142.3.81.181 to 142.3.81.182142.3.81.1832
111142.3.81.184/30142.3.81.185 to 142.3.81.186142.3.81.1872
112142.3.81.188/30142.3.81.189 to 142.3.81.190142.3.81.1912
113142.3.81.192/30142.3.81.193 to 142.3.81.194142.3.81.1952
114142.3.81.196/30142.3.81.197 to 142.3.81.198142.3.81.1992
115142.3.81.200/30142.3.81.201 to 142.3.81.202142.3.81.2032
116142.3.81.204/30142.3.81.205 to 142.3.81.206142.3.81.2072
117142.3.81.208/30142.3.81.209 to 142.3.81.210142.3.81.2112
118142.3.81.212/30142.3.81.213 to 142.3.81.214142.3.81.2152
119142.3.81.216/30142.3.81.217 to 142.3.81.218142.3.81.2192
120142.3.81.220/30142.3.81.221 to 142.3.81.222142.3.81.2232
121142.3.81.224/30142.3.81.225 to 142.3.81.226142.3.81.2272
122142.3.81.228/30142.3.81.229 to 142.3.81.230142.3.81.2312
123142.3.81.232/30142.3.81.233 to 142.3.81.234142.3.81.2352
124142.3.81.236/30142.3.81.237 to 142.3.81.238142.3.81.2392
125142.3.81.240/30142.3.81.241 to 142.3.81.242142.3.81.2432
126142.3.81.244/30142.3.81.245 to 142.3.81.246142.3.81.2472
127142.3.81.248/30142.3.81.249 to 142.3.81.250142.3.81.2512
128142.3.81.252/30142.3.81.253 to 142.3.81.254142.3.81.2552
129142.3.82.0/30142.3.82.1 to 142.3.82.2142.3.82.32
130142.3.82.4/30142.3.82.5 to 142.3.82.6142.3.82.72
131142.3.82.8/30142.3.82.9 to 142.3.82.10142.3.82.112
132142.3.82.12/30142.3.82.13 to 142.3.82.14142.3.82.152
133142.3.82.16/30142.3.82.17 to 142.3.82.18142.3.82.192
134142.3.82.20/30142.3.82.21 to 142.3.82.22142.3.82.232
135142.3.82.24/30142.3.82.25 to 142.3.82.26142.3.82.272
136142.3.82.28/30142.3.82.29 to 142.3.82.30142.3.82.312
137142.3.82.32/30142.3.82.33 to 142.3.82.34142.3.82.352
138142.3.82.36/30142.3.82.37 to 142.3.82.38142.3.82.392
139142.3.82.40/30142.3.82.41 to 142.3.82.42142.3.82.432
140142.3.82.44/30142.3.82.45 to 142.3.82.46142.3.82.472
141142.3.82.48/30142.3.82.49 to 142.3.82.50142.3.82.512
142142.3.82.52/30142.3.82.53 to 142.3.82.54142.3.82.552
143142.3.82.56/30142.3.82.57 to 142.3.82.58142.3.82.592
144142.3.82.60/30142.3.82.61 to 142.3.82.62142.3.82.632
145142.3.82.64/30142.3.82.65 to 142.3.82.66142.3.82.672
146142.3.82.68/30142.3.82.69 to 142.3.82.70142.3.82.712
147142.3.82.72/30142.3.82.73 to 142.3.82.74142.3.82.752
148142.3.82.76/30142.3.82.77 to 142.3.82.78142.3.82.792
149142.3.82.80/30142.3.82.81 to 142.3.82.82142.3.82.832
150142.3.82.84/30142.3.82.85 to 142.3.82.86142.3.82.872
151142.3.82.88/30142.3.82.89 to 142.3.82.90142.3.82.912
152142.3.82.92/30142.3.82.93 to 142.3.82.94142.3.82.952
153142.3.82.96/30142.3.82.97 to 142.3.82.98142.3.82.992
154142.3.82.100/30142.3.82.101 to 142.3.82.102142.3.82.1032
155142.3.82.104/30142.3.82.105 to 142.3.82.106142.3.82.1072
156142.3.82.108/30142.3.82.109 to 142.3.82.110142.3.82.1112
157142.3.82.112/30142.3.82.113 to 142.3.82.114142.3.82.1152
158142.3.82.116/30142.3.82.117 to 142.3.82.118142.3.82.1192
159142.3.82.120/30142.3.82.121 to 142.3.82.122142.3.82.1232
160142.3.82.124/30142.3.82.125 to 142.3.82.126142.3.82.1272
161142.3.82.128/30142.3.82.129 to 142.3.82.130142.3.82.1312
162142.3.82.132/30142.3.82.133 to 142.3.82.134142.3.82.1352
163142.3.82.136/30142.3.82.137 to 142.3.82.138142.3.82.1392
164142.3.82.140/30142.3.82.141 to 142.3.82.142142.3.82.1432
165142.3.82.144/30142.3.82.145 to 142.3.82.146142.3.82.1472
166142.3.82.148/30142.3.82.149 to 142.3.82.150142.3.82.1512
167142.3.82.152/30142.3.82.153 to 142.3.82.154142.3.82.1552
168142.3.82.156/30142.3.82.157 to 142.3.82.158142.3.82.1592
169142.3.82.160/30142.3.82.161 to 142.3.82.162142.3.82.1632
170142.3.82.164/30142.3.82.165 to 142.3.82.166142.3.82.1672
171142.3.82.168/30142.3.82.169 to 142.3.82.170142.3.82.1712
172142.3.82.172/30142.3.82.173 to 142.3.82.174142.3.82.1752
173142.3.82.176/30142.3.82.177 to 142.3.82.178142.3.82.1792
174142.3.82.180/30142.3.82.181 to 142.3.82.182142.3.82.1832
175142.3.82.184/30142.3.82.185 to 142.3.82.186142.3.82.1872
176142.3.82.188/30142.3.82.189 to 142.3.82.190142.3.82.1912
177142.3.82.192/30142.3.82.193 to 142.3.82.194142.3.82.1952
178142.3.82.196/30142.3.82.197 to 142.3.82.198142.3.82.1992
179142.3.82.200/30142.3.82.201 to 142.3.82.202142.3.82.2032
180142.3.82.204/30142.3.82.205 to 142.3.82.206142.3.82.2072
181142.3.82.208/30142.3.82.209 to 142.3.82.210142.3.82.2112
182142.3.82.212/30142.3.82.213 to 142.3.82.214142.3.82.2152
183142.3.82.216/30142.3.82.217 to 142.3.82.218142.3.82.2192
184142.3.82.220/30142.3.82.221 to 142.3.82.222142.3.82.2232
185142.3.82.224/30142.3.82.225 to 142.3.82.226142.3.82.2272
186142.3.82.228/30142.3.82.229 to 142.3.82.230142.3.82.2312
187142.3.82.232/30142.3.82.233 to 142.3.82.234142.3.82.2352
188142.3.82.236/30142.3.82.237 to 142.3.82.238142.3.82.2392
189142.3.82.240/30142.3.82.241 to 142.3.82.242142.3.82.2432
190142.3.82.244/30142.3.82.245 to 142.3.82.246142.3.82.2472
191142.3.82.248/30142.3.82.249 to 142.3.82.250142.3.82.2512
192142.3.82.252/30142.3.82.253 to 142.3.82.254142.3.82.2552
193142.3.83.0/30142.3.83.1 to 142.3.83.2142.3.83.32
194142.3.83.4/30142.3.83.5 to 142.3.83.6142.3.83.72
195142.3.83.8/30142.3.83.9 to 142.3.83.10142.3.83.112
196142.3.83.12/30142.3.83.13 to 142.3.83.14142.3.83.152
197142.3.83.16/30142.3.83.17 to 142.3.83.18142.3.83.192
198142.3.83.20/30142.3.83.21 to 142.3.83.22142.3.83.232
199142.3.83.24/30142.3.83.25 to 142.3.83.26142.3.83.272
200142.3.83.28/30142.3.83.29 to 142.3.83.30142.3.83.312
201142.3.83.32/30142.3.83.33 to 142.3.83.34142.3.83.352
202142.3.83.36/30142.3.83.37 to 142.3.83.38142.3.83.392
203142.3.83.40/30142.3.83.41 to 142.3.83.42142.3.83.432
204142.3.83.44/30142.3.83.45 to 142.3.83.46142.3.83.472
205142.3.83.48/30142.3.83.49 to 142.3.83.50142.3.83.512
206142.3.83.52/30142.3.83.53 to 142.3.83.54142.3.83.552
207142.3.83.56/30142.3.83.57 to 142.3.83.58142.3.83.592
208142.3.83.60/30142.3.83.61 to 142.3.83.62142.3.83.632
209142.3.83.64/30142.3.83.65 to 142.3.83.66142.3.83.672
210142.3.83.68/30142.3.83.69 to 142.3.83.70142.3.83.712
211142.3.83.72/30142.3.83.73 to 142.3.83.74142.3.83.752
212142.3.83.76/30142.3.83.77 to 142.3.83.78142.3.83.792
213142.3.83.80/30142.3.83.81 to 142.3.83.82142.3.83.832
214142.3.83.84/30142.3.83.85 to 142.3.83.86142.3.83.872
215142.3.83.88/30142.3.83.89 to 142.3.83.90142.3.83.912
216142.3.83.92/30142.3.83.93 to 142.3.83.94142.3.83.952
217142.3.83.96/30142.3.83.97 to 142.3.83.98142.3.83.992
218142.3.83.100/30142.3.83.101 to 142.3.83.102142.3.83.1032
219142.3.83.104/30142.3.83.105 to 142.3.83.106142.3.83.1072
220142.3.83.108/30142.3.83.109 to 142.3.83.110142.3.83.1112
221142.3.83.112/30142.3.83.113 to 142.3.83.114142.3.83.1152
222142.3.83.116/30142.3.83.117 to 142.3.83.118142.3.83.1192
223142.3.83.120/30142.3.83.121 to 142.3.83.122142.3.83.1232
224142.3.83.124/30142.3.83.125 to 142.3.83.126142.3.83.1272
225142.3.83.128/30142.3.83.129 to 142.3.83.130142.3.83.1312
226142.3.83.132/30142.3.83.133 to 142.3.83.134142.3.83.1352
227142.3.83.136/30142.3.83.137 to 142.3.83.138142.3.83.1392
228142.3.83.140/30142.3.83.141 to 142.3.83.142142.3.83.1432
229142.3.83.144/30142.3.83.145 to 142.3.83.146142.3.83.1472
230142.3.83.148/30142.3.83.149 to 142.3.83.150142.3.83.1512
231142.3.83.152/30142.3.83.153 to 142.3.83.154142.3.83.1552
232142.3.83.156/30142.3.83.157 to 142.3.83.158142.3.83.1592
233142.3.83.160/30142.3.83.161 to 142.3.83.162142.3.83.1632
234142.3.83.164/30142.3.83.165 to 142.3.83.166142.3.83.1672
235142.3.83.168/30142.3.83.169 to 142.3.83.170142.3.83.1712
236142.3.83.172/30142.3.83.173 to 142.3.83.174142.3.83.1752
237142.3.83.176/30142.3.83.177 to 142.3.83.178142.3.83.1792
238142.3.83.180/30142.3.83.181 to 142.3.83.182142.3.83.1832
239142.3.83.184/30142.3.83.185 to 142.3.83.186142.3.83.1872
240142.3.83.188/30142.3.83.189 to 142.3.83.190142.3.83.1912
241142.3.83.192/30142.3.83.193 to 142.3.83.194142.3.83.1952
242142.3.83.196/30142.3.83.197 to 142.3.83.198142.3.83.1992
243142.3.83.200/30142.3.83.201 to 142.3.83.202142.3.83.2032
244142.3.83.204/30142.3.83.205 to 142.3.83.206142.3.83.2072
245142.3.83.208/30142.3.83.209 to 142.3.83.210142.3.83.2112
246142.3.83.212/30142.3.83.213 to 142.3.83.214142.3.83.2152
247142.3.83.216/30142.3.83.217 to 142.3.83.218142.3.83.2192
248142.3.83.220/30142.3.83.221 to 142.3.83.222142.3.83.2232
249142.3.83.224/30142.3.83.225 to 142.3.83.226142.3.83.2272
250142.3.83.228/30142.3.83.229 to 142.3.83.230142.3.83.2312
251142.3.83.232/30142.3.83.233 to 142.3.83.234142.3.83.2352
252142.3.83.236/30142.3.83.237 to 142.3.83.238142.3.83.2392
253142.3.83.240/30142.3.83.241 to 142.3.83.242142.3.83.2432
254142.3.83.244/30142.3.83.245 to 142.3.83.246142.3.83.2472
255142.3.83.248/30142.3.83.249 to 142.3.83.250142.3.83.2512
256142.3.83.252/30142.3.83.253 to 142.3.83.254142.3.83.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses